Package Details: ignition-math 6.4.0-2

Git Clone URL: https://aur.archlinux.org/ignition-math.git (read-only, click to copy)
Package Base: ignition-math
Description: Math classes and functions for robot applications
Upstream URL: http://ignitionrobotics.org/
Licenses: Apache
Groups: development
Submitter: bchretien
Maintainer: acxz
Last Packager: acxz
Votes: 10
Popularity: 0.44
First Submitted: 2015-08-10 21:04
Last Updated: 2020-01-16 01:32

Pinned Comments

acxz commented on 2020-02-03 02:17

Development is on Github: https://github.com/acxz/pkgbuilds Please open issues and PRs there instead of commenting.

Latest Comments

1 2 3 Next › Last »

acxz commented on 2020-02-03 02:17

Development is on Github: https://github.com/acxz/pkgbuilds Please open issues and PRs there instead of commenting.

jhbruhn commented on 2020-01-18 12:20

I have just investigated this further: The error is not a problem with ignition-math, but with its ruby-bindings generated via swig. Ruby 2.7 compatibility has been added to swig, but not been released yet.

Thus, to fix this problem, one has to install swig-git until it gets a proper release. IMO this is better than downgrading ruby.

See: https://github.com/swig/swig/issues/1689 https://github.com/swig/swig/pull/1692

acxz commented on 2020-01-16 01:39

@jhbruhn thanks for the tip. Worked for me. I ended up creating an upstream issue as well: https://bitbucket.org/ignitionrobotics/ign-math/issues/104/build-faiure-with-ignition-math-640

jhbruhn commented on 2020-01-15 20:02

For anyone trying to install this package right now: for me this does build when downgrading ruby to version 2.6.5.

acxz commented on 2020-01-15 03:00

I have updated the package, but it does not currently build. I do not have time to investigate this. If someone could create an upstream issue and link it here, I would appreciate that very much.

acxz commented on 2019-06-27 23:09

updated!

acxz commented on 2019-06-11 20:49

Can this package be updated to the latest release version? https://bitbucket.org/ignitionrobotics/ign-math/downloads/?tab=tags

sudosays commented on 2018-04-05 12:05

I have just managed to build v 5.0.0, and I think this package can be updated. Should I flag it? That said it might break your gazebo package @racko

pryre commented on 2018-02-24 14:10

I... I think that the dependency issues may have been my fault with the way I previously had this as dependancy in sdformat. Unless you just fixed something elsewhere, but the problem looks solved on my end.

racko commented on 2018-02-24 12:13

Does anybody have an idea why the ignition-cmake dependency is colored red? It usually it means that a dependency is missing, but https://aur.archlinux.org/packages/ignition-cmake/ clearly exists.